Subject: Re: [PATCH] net/r8169: Correct the ram code for RTL8111D(L)

From: Stephen Hemminger <[email-masked]>
Date: Mon, 29 Nov 2010 16:13:44 -0800

On Tue, 30 Nov 2010 00:33:34 +0100
Francois Romieu <[email-masked]> wrote:

> hayeswang <[email-masked]> :
> > Excuse me, I have some questions about the firmware patch.
> > 
> > 1. I should convert the data into the binary files (.bin). Is it right?
> 
> You may do it.
> 
> Fwiw I have cooked something for it in the attached patch #9 this WE. Feel
> free to take bits from it. I will not do more changes while you work on it.
> 
> > 2. Where should I update the firmware files? Is the path the
> > linux-2.6/firmware?
> 
> ! This directory is only here to contain firmware images extracted from old
> ! device drivers which predate the common use of request_firmware().
> 
> It is fine for the existing code.
> 
> > However, according to linux-2.6/firmeware/README.AddingFirmware, I
> > should update they to another repository:
> > 	
> > git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git
> 
> /me scratches head.
> 
> Assuming Realtek does not intend to stand this code / data as GPLable, yes.
> It will help people staying clear from non-free code, it will help packaging
> something useful and it will remove some cruft from the code.
> 
> So everybody will end happy. Especially after an aspirin.

The plan is to do away with linux-2.6/firmware entirely.
Distributions are shipping the firmware from linux-firmware, not the
kernel files.